Skip to main content
GET
List reports

Authorizations

Authorization
string
header
required

Your Graviton API token. Send Authorization: Bearer YOUR_API_TOKEN or Authorization: YOUR_API_TOKEN. Each token has individual permissions; a valid token without the permission required by the method and route returns 403 TOKEN_PERMISSION_DENIED.

Query Parameters

page
integer
default:1
Required range: x >= 1
per_page
integer
default:50
Required range: 1 <= x <= 500

Partial text search across the resource's registered safe search fields. Whitespace is trimmed; literal percent and underscore characters are escaped. Search is applied after account, ownership, privilege, and object scope.

Required string length: 2 - 100
order
enum<string>
default:asc
Available options:
asc,
desc
sort
enum<string>
default:report_id

Registered field used for sorting.

Available options:
report_id,
name,
type,
format,
show_addresses,
zones_addresses,
show_trip_image,
stop_duration,
speed_limit,
imei,
zone_ids,
sensor_names,
data_items,
schedule_period,
schedule_email_address,
dt_schedule_d,
dt_schedule_w
name
string

Exact-match filter for name.

type
string

Exact-match filter for type.

format
string

Exact-match filter for format.

show_addresses
string

Exact-match filter for show_addresses.

zones_addresses
string

Exact-match filter for zones_addresses.

show_trip_image
string

Exact-match filter for show_trip_image.

stop_duration
string

Exact-match filter for stop_duration.

speed_limit
string

Exact-match filter for speed_limit.

imei
string

Exact-match filter for imei.

zone_ids
string

Exact-match filter for zone_ids.

sensor_names
string

Exact-match filter for sensor_names.

data_items
string

Exact-match filter for data_items.

schedule_period
string

Exact-match filter for schedule_period.

schedule_email_address
string

Exact-match filter for schedule_email_address.

dt_schedule_d
string

Exact-match filter for dt_schedule_d.

dt_schedule_w
string

Exact-match filter for dt_schedule_w.

Response

Successful response

success
enum<boolean>
required
Available options:
true
data
object[]
required
meta
object